Bug 51442 - Nautilus prevents CD-ROMS from being unmounted.
Nautilus prevents CD-ROMS from being unmounted.
Product: Red Hat Public Beta
Classification: Retired
Component: nautilus (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-08-10 11:27 EDT by Owen Taylor
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-13 14:38:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Owen Taylor 2001-08-10 11:27:51 EDT
If nautilus windows are open on a CD-ROM drive, then right
clicking on the CD-ROM icon and selecting unmount produces
an error because the drive is in use.

The problem here is that nautilus is using fam to monitor
directories in use, even when for volumes mounted 
read-only, and fam has to keep a file descriptor open on
the volume to use dnotify.

If fam is killed, then the cd-rom can be unmounted fine,
and nautilus will close all windows open on inside
that cd-rom.
Comment 1 Glen Foster 2001-08-10 16:01:59 EDT
We (Red Hat) should really try to fix this before next release.
Comment 2 Havoc Pennington 2001-08-13 14:38:24 EDT
Owen has a fix for this (do not monitor read-only directories)
Comment 3 Havoc Pennington 2001-08-15 14:18:14 EDT
1.0.4-33 should resolve this issue.

Note You need to log in before you can comment on or make changes to this bug.